# ReadyNamespaceOptions | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

Ready namespace options

param

  the namespace to ready

param

  the private key to sign the transaction

param

  the Stacks blockchain network to use

### Hierarchy

- ReadyNamespaceOptions

## Index

### Properties

- namespace
- network
- publicKey

## Properties

### namespace

namespace: string

- Defined in packages/bns/src/index.ts:446

### network

network: StacksNetwork

- Defined in packages/bns/src/index.ts:448

### publicKey

publicKey: string

- Defined in packages/bns/src/index.ts:447

Generated using TypeDoc